# Release Notes for HI - Helix Installer

## Introduction

This document describes changes to the Helix Installer.

## Change History

**2020/12/11**: HelixInstaller/MultiArch/2020.2/27031 (2020/12/11)

Jobs fixed since change 26973 up to 27031 (F=Feature, B=Bug):

* [HI-56](https://swarm.workshop.perforce.com/jobs/HI-56) (F): Support SDP r20.1

**2020/12/01**: HelixInstaller/MultiArch/2020.2/26973 (2020/12/01)

Jobs fixed since change 26829 up to 26973 (F=Feature, B=Bug):

* [HI-33](https://swarm.workshop.perforce.com/jobs/HI-33) (F): Add capability to load crontab.
* [HI-48](https://swarm.workshop.perforce.com/jobs/HI-48) (F): Remove CentOS 6 from test suite after it goes OEL in Nov 2020.
* [HI-56](https://swarm.workshop.perforce.com/jobs/HI-56) (F): Support SDP r20.1

**2020/10/07**: HelixInstaller/MultiArch/2020.1/26829 (2020/10/07)

Jobs fixed since change 26784 up to 26829 (F=Feature, B=Bug):

* [HI-49](https://swarm.workshop.perforce.com/jobs/HI-49) (B): Fix test suite environment issue and CentOS6 hostname issue.
* [HI-51](https://swarm.workshop.perforce.com/jobs/HI-51) (B): Fixed 'Blast' logic bug when using separate volumes for /hxmetadata1,2.
* [HI-52](https://swarm.workshop.perforce.com/jobs/HI-52) (B): Fixed RHEL/CentOS 8 test suite failure due to missing major version check.
* [HI-53](https://swarm.workshop.perforce.com/jobs/HI-53) (B): Fixed issue with extra '/' in symlinks under /p4 for Hx* settings.

**2020/09/25**: HelixInstaller/MultiArch/2020.1/26784 (2020/09/25)

Jobs fixed since change 26607 up to 26784 (F=Feature, B=Bug):

* [HI-43](https://swarm.workshop.perforce.com/jobs/HI-43) (B): Fixed issue calling init script on RHEL/CentOS 6.
* [HI-44](https://swarm.workshop.perforce.com/jobs/HI-44) (F): Make /hx* mount points configurable in settings.cfg
* [HI-47](https://swarm.workshop.perforce.com/jobs/HI-47) (F): Add Ubuntu 20 to the test suite.

**2020/07/10**: HelixInstaller/MultiArch/2020.1/26607 (2020/07/10).
* Non-functional changes to maintain shellcheck compliance.

**2020/06/17**: HelixInstaller/MultiArch/2020.1/26576 (2020/06/17).
* [HI-36](https://swarm.workshop.perforce.com/jobs/HI-36) - In one place, a chmod is used where a chown is needed.
* [HI-37](https://swarm.workshop.perforce.com/jobs/HI-37) - When OSUSER perforce is created, set password same as same P4USER.
* [HI-40](https://swarm.workshop.perforce.com/jobs/HI-40) - Updated default p4d to r20.1.
* [HI-41](https://swarm.workshop.perforce.com/jobs/HI-41) - p4*_N.service.t should point to SDP doc.
* [HI-42](https://swarm.workshop.perforce.com/jobs/HI-42) - Adjusted to new order of operations with latest SDP.

**2020/01/22**: HelixInstaller/MultiArch/2019.4/26181 (2020/01/22).
* [HI-32](https://swarm.workshop.perforce.com/jobs/HI-32) - Updated default Helix binaries to 2019.2.
* [HI-31](https://swarm.workshop.perforce.com/jobs/HI-31) - Enhanced '-d <sdp_dir>' to use an SDP.Unix.tgz.
* [HI-30](https://swarm.workshop.perforce.com/jobs/HI-30) - Added CentOS 8 to test suite.

**2019/08/22**: HelixInstaller/MultiArch/2019.4/26029 (2019/08/22).
* [HI-28](https://swarm.workshop.perforce.com/jobs/HI-28) - Fix issue with systemd files when OSUSER is not perforce.
* [HI-29](https://swarm.workshop.perforce.com/jobs/HI-29) - Enable Sample Depot install with non-default OSUSER.

**2019/08/21**: HelixInstaller/MultiArch/2019.4/26010 (2019/08/21).
* [HI-26](https://swarm.workshop.perforce.com/jobs/HI-26) - Fixed systemd service file for p4d containing hard-coded ref to instance 1.

**2019/08/20**: HelixInstaller/MultiArch/2019.4/26006 (2019/08/20).
* [HI-21](https://swarm.workshop.perforce.com/jobs/HI-21) - Make OSUSER and OSGROUP configurable settings.
* [HI-24](https://swarm.workshop.perforce.com/jobs/HI-24) - Enhance sample config file to show must/should/shouldn't change values.

**2019/08/20**: HelixInstaller/MultiArch/2019.4/25995 (2019/08/20).
* https://swarm.workshop.perforce.com/jobs/HI-17
* https://swarm.workshop.perforce.com/jobs/HI-18
* https://swarm.workshop.perforce.com/jobs/HI-19
* https://swarm.workshop.perforce.com/jobs/HI-20

**2019/07/24**: HelixInstaller/MultiArch/2019.3/25890 (2019/07/24):
* Fixed issue with Ubuntu 18 tests.
* Test suite adjustments.

**2019/07/23**: HelixInstaller/MultiArch/2019.3/25869 (2019/07/23):
* https://swarm.workshop.perforce.com/jobs/HI-13
* https://swarm.workshop.perforce.com/jobs/HI-16

**2019/07/11**: HelixInstaller/MultiArch/2019.3/25820 (2019/07/11):

* https://swarm.workshop.perforce.com/jobs/HI-15
* https://swarm.workshop.perforce.com/jobs/HI-14
* https://swarm.workshop.perforce.com/jobs/HI-12
* https://swarm.workshop.perforce.com/jobs/HI-11
* https://swarm.workshop.perforce.com/jobs/HI-10
* https://swarm.workshop.perforce.com/jobs/HI-9

**2019/06/19**: HelixInstaller/MultiArch/2019.2/25723 (2019/06/19). Upgraded to use 2019.1 Helix Core executables, and made test suite enhancements.

**2019/05/02**: HelixInstaller/MultiArch/2019.2/25598 (2019/05/02). Changed default tarball for SDP installs.

**2019/04/12**: Helix Installer MultiArch/2019.2/25497. Bug fix so email settings take effect, and added MailFrom setting.

**2019/04/11**: Helix Installer MultiArchs/2019.2.25493. Parameterized setup. Changed default tarball for SDP installs.

**2019/03/21**: Helix Installer MultiArchs/2019.1.25392. Changed default tarball for SDP installs.

**2019/03/21**: Helix Installer MultiArchs/2019.1.25382. Changed default tarball for SDP installs. Added '-C' and '-c' flags to support generating and using config files.

**2019/03/08**: Helix Installer MultiArchs/2019.1.25324. Changed default tarball for SDP installs.

**2019/03/07**: Helix Installer MultiArchs/2019.1.25313. This update includes minor updates:
* Added support for handling firewalld.
* Added CentOS 7 to test suite.
* Adjusted to use 'ftp' user for Workshop.
* Ensure perforce user owns his his own home directory when newly created.
* Fixed doc typo in vagrant test suite operation command.

**2019/03/06**: Helix Installer MultiArch/2019.1.25285. This update addes connection to the Perforce Package Repository, making it easy to add Helix Swarm, the Git Connector, etc.

**2019/03/03**: Helix Installer MultiArch/2019.1.25250. This is a major version release 3.1.  Also Updated SDP to 2019.1, a new major SDP release.

**2019/02/22**: Helix Installer MultiArch/2019.1.25164. Updated SDP version, other test suite updates.

**2018/11/24**: Helix Installer MultiArch/2018.2.24912. Added login for sdp_reader.

**2018/11/14**: Helix Installer MultiArch/2018.2.24862. Updated for P4D 2018.2.

**2018/04/11**: Helix Installer MultiArch/2018.1.23873. Added openssl-devel to list of packages to install in preparation for running `reset_sdp.sh`.

**2018/04/11**: Helix Installer MultiArch/2018.1.23869. Added adding zlib-devel to list of packages to install in preparation for running `reset_sdp.sh`.

**2018/04/11**: Helix Installer MultiArch/2018.1.23866. Doc updates only, including adding rsync to list of packages to install in preparation for running `reset_sdp.sh`.

**2018/04/03**: Helix Installer MultiArch/2018.1.23826. Update to latest SPD Version

**2018/02/12**: Helix Installer MultiArch/2018.1.23597, Updated to latest SDP version.

**2018/01/19**: Helix Installer MultiArch/2018.1.23512. Tweaked to simplify running a series of installs while re-using the Downloads dir, acquiring an updated SDP tarfile from the FTP server if needed. Update to latest SDP.

**2017/12/08**: HelixInstaller/MultiArch/2017.4/23363. Enhanced workflow for running a series of trials re-using the downloads dir, acquiring a new SDP tar file
only if needed.

**2017/12/08**: HelixInstaller/MultiArch/2017.4/23359, updated to current SDP.

**2017/12/05**: HelixInstaller/MultiArch/2017.4/23333, updated to current SDP.

**2017/11/29**: HelixInstaller/MultiArch/2017.4/23281, doc update only.

**2017/11/22**: HelixInstaller/MultiArch/2017.4/23243, added support for testing shelved changelists from the SDP dev branch.

**2016/05/04**: HelixInstaller/MultiArch/2016.1/19263, first formal release.

**2015/04/04**: Broke ground on the Helix Installer project in The Workshop, change [@12333](https://swarm.workshop.perforce.com/changes/12333).  (The actual start of the project was a few years earlier; there is no formal history trail prior to The Workshop.)

## For More Information
For more information on jobs, commits, change history details, etc, see:
[https://swarm.workshop.perforce.com/projects/perforce_software-helix-installer](https://swarm.workshop.perforce.com/projects/perforce_software-helix-installer)

