# Usage:
# cd /where/you/put/helix-installer/dev/test
# source ./env.sh
#
# Alternately use 'main' rather than 'dev' in path above.

echo "Loading Helix Installer test environment settings."

if [[ "$PWD" != *"/test" ]]; then
   echo "Bad Usage: Run this from </where/you/put/it>/helix-installer/dev/test"
   return 1
fi

# HIT_FULL=1 = Do full test, including P4Perl/P4Python builds.
# HIT_FULL=0 = Skip P4Python/P4Pyton install tests.  Much faster.
export HIT_FULL=1
echo HIT_FULL=$HIT_FULL

# HIT_OS_LIST
# Set to 'ALL' to build all availalbe OS's from the helix_installer_test.json
# file.  Otherwise, specify a single OS, e.g. centos7 or ubuntu18.
export HIT_OS_LIST=ALL
echo HIT_OS_LIST=$HIT_OS_LIST

# HIT_TEST_DIR
# Set to local workspace directory that maps to what will be in
# /tmp/test-files in launched test VMs.
export HIT_TEST_DIR=${PWD}
echo HIT_TEST_DIR=$HIT_TEST_DIR

# HIT_RESET_DIR
# Set to local workspace directory that maps to what will be in /tmp/reset
# in launched test VMs.  This directory is loaded in test VMs as it is
# referenced in the Vagrantfile.
export HIT_RESET_DIR=${HIT_TEST_DIR/test/src}
echo HIT_RESET_DIR=$HIT_RESET_DIR
